| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::GeneralizedHough Class Referenceabstract
Image Processing » Structural Analysis and Shape Descriptors

finds arbitrary template in the grayscale image using Generalized Hough Transform More...

`#include <opencv2/imgproc.hpp>`

Collaboration diagram for cv::GeneralizedHough:

## Public Member Functions
virtual void | detect (InputArray edges, InputArray dx, InputArray dy, OutputArray positions, OutputArray votes=noArray())=0
virtual void | detect (InputArray image, OutputArray positions, OutputArray votes=noArray())=0
| find template on image
virtual int | getCannyHighThresh () const =0
virtual int | getCannyLowThresh () const =0
virtual double | getDp () const =0
virtual int | getMaxBufferSize () const =0
virtual double | getMinDist () const =0
virtual void | setCannyHighThresh (int cannyHighThresh)=0
| Canny high threshold.
virtual void | setCannyLowThresh (int cannyLowThresh)=0
| Canny low threshold.
virtual void | setDp (double dp)=0
| Inverse ratio of the accumulator resolution to the image resolution.
virtual void | setMaxBufferSize (int maxBufferSize)=0
| Maximal size of inner buffers.
virtual void | setMinDist (double minDist)=0
| Minimum distance between the centers of the detected objects.
virtual void | setTemplate (InputArray edges, InputArray dx, InputArray dy, Point templCenter=Point(-1, -1))=0
virtual void | setTemplate (InputArray templ, Point templCenter=Point(-1, -1))=0
| set template to search
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

finds arbitrary template in the grayscale image using Generalized Hough Transform

## Member Function Documentation

## ◆ detect() [1/2]

virtual void cv::GeneralizedHough::detect | ( | InputArray | edges,
|  | InputArray | dx,
|  | InputArray | dy,
|  | OutputArray | positions,
|  | OutputArray | votes = noArray() )
| pure virtual

Python:
| cv.GeneralizedHough.detect( | image[, positions[, votes]] | ) -> | positions, votes
| cv.GeneralizedHough.detect( | edges, dx, dy[, positions[, votes]] | ) -> | positions, votes

Here is the call graph for this function:

## ◆ detect() [2/2]

virtual void cv::GeneralizedHough::detect | ( | InputArray | image,
|  | OutputArray | positions,
|  | OutputArray | votes = noArray() )
| pure virtual

Python:
| cv.GeneralizedHough.detect( | image[, positions[, votes]] | ) -> | positions, votes
| cv.GeneralizedHough.detect( | edges, dx, dy[, positions[, votes]] | ) -> | positions, votes

find template on image

Here is the call graph for this function:

## ◆ getCannyHighThresh()

virtual int cv::GeneralizedHough::getCannyHighThresh | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHough.getCannyHighThresh( |  | ) -> | retval

## ◆ getCannyLowThresh()

virtual int cv::GeneralizedHough::getCannyLowThresh | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHough.getCannyLowThresh( |  | ) -> | retval

## ◆ getDp()

virtual double cv::GeneralizedHough::getDp | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHough.getDp( |  | ) -> | retval

## ◆ getMaxBufferSize()

virtual int cv::GeneralizedHough::getMaxBufferSize | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHough.getMaxBufferSize( |  | ) -> | retval

## ◆ getMinDist()

virtual double cv::GeneralizedHough::getMinDist | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHough.getMinDist( |  | ) -> | retval

## ◆ setCannyHighThresh()

virtual void cv::GeneralizedHough::setCannyHighThresh | ( | int | cannyHighThresh | ) |
| pure virtual

Python:
| cv.GeneralizedHough.setCannyHighThresh( | cannyHighThresh | ) -> | None

Canny high threshold.

## ◆ setCannyLowThresh()

virtual void cv::GeneralizedHough::setCannyLowThresh | ( | int | cannyLowThresh | ) |
| pure virtual

Python:
| cv.GeneralizedHough.setCannyLowThresh( | cannyLowThresh | ) -> | None

Canny low threshold.

## ◆ setDp()

virtual void cv::GeneralizedHough::setDp | ( | double | dp | ) |
| pure virtual

Python:
| cv.GeneralizedHough.setDp( | dp | ) -> | None

Inverse ratio of the accumulator resolution to the image resolution.

## ◆ setMaxBufferSize()

virtual void cv::GeneralizedHough::setMaxBufferSize | ( | int | maxBufferSize | ) |
| pure virtual

Python:
| cv.GeneralizedHough.setMaxBufferSize( | maxBufferSize | ) -> | None

Maximal size of inner buffers.

## ◆ setMinDist()

virtual void cv::GeneralizedHough::setMinDist | ( | double | minDist | ) |
| pure virtual

Python:
| cv.GeneralizedHough.setMinDist( | minDist | ) -> | None

Minimum distance between the centers of the detected objects.

## ◆ setTemplate() [1/2]

virtual void cv::GeneralizedHough::setTemplate | ( | InputArray | edges,
|  | InputArray | dx,
|  | InputArray | dy,
|  | Point | templCenter = Point(-1, -1) )
| pure virtual

Python:
| cv.GeneralizedHough.setTemplate( | templ[, templCenter] | ) -> | None
| cv.GeneralizedHough.setTemplate( | edges, dx, dy[, templCenter] | ) -> | None

## ◆ setTemplate() [2/2]

virtual void cv::GeneralizedHough::setTemplate | ( | InputArray | templ,
|  | Point | templCenter = Point(-1, -1) )
| pure virtual

Python:
| cv.GeneralizedHough.setTemplate( | templ[, templCenter] | ) -> | None
| cv.GeneralizedHough.setTemplate( | edges, dx, dy[, templCenter] | ) -> | None

set template to search

The documentation for this class was generated from the following file:

- opencv2/imgproc.hpp